#!/bin/sh
TGT_PATH=../tgt-1.0.1
TGTADM=$TGT_PATH/usr/tgtadm
if [ -z "$1" ]
then
    echo "$0 {setup|start|stop}"
    exit
fi
if [ "$1" = "setup" ]
then
    dd if=/dev/zero of=/tmp/iscsi-disk1 bs=1M count=10
    losetup /dev/loop0 /tmp/iscsi-disk1
    exit
fi
if [ "$1" = "start" ]
then
    iscsiadm -m node -T iqn.2009-02.com.example:for.all --logout
    $TGTADM --lld iscsi --op new --mode target --tid=1 --targetname iqn.2009-02.com.example:for.all
    $TGTADM --lld iscsi --op new --mode logicalunit --tid 1 --lun 1 -Y hint -E null -b /dev/null 
    $TGTADM --lld iscsi --op new --mode logicalunit --tid 1 --lun 2 -Y ssd -E null -b /dev/null 
    $TGTADM --lld iscsi --op bind --mode target --tid 1 -I ALL
    $TGTADM --lld iscsi --op show --mode target
    iscsiadm -m node -T iqn.2009-02.com.example:for.all --login
    exit
fi

if [ "$1" = "stop" ]
then
    iscsiadm -m node -T iqn.2009-02.com.example:for.all --logout
fi
